package com.ruoyi.business.domain;

import java.math.BigDecimal;
import java.util.Date;

import com.fasterxml.jackson.annotation.JsonFormat;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 【出库记录表】对象 t_ck_pickingwavegoods_back
 *
 * @author wms
 * @date 2022-06-28
 */
@TableName("t_ck_pickingwavegoods_back")
public class TCkPickingwavegoodsBack extends BaseEntity {

    private static final long serialVersionUID = 1L;

    /**
     * 物料编号
     */
    @Excel(name = "物料编码")
    @TableField("GOOD_ID")
    private String goodId;

    /**
     * 物料名称
     */
    @Excel(name = "物料描述")
    @TableField("GOODS_NAME")
    private String goodsName;

    /**
     * 生成批号
     */
    @Excel(name = "批次号")
    @TableField("PRODUCLOTID")
    private String produclotid;

    /**
     * 有效日期
     */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "有效日期", width = 30, dateFormat = "yyyy-MM-dd")
    @TableField("EXPIRY_DATE")
    private Date expiryDate;

    /**
     * 某商品要捡货总数
     */
    @Excel(name = "出库数量")
    @TableField("PICKING_NUM")
    private BigDecimal pickingNum;

    /**
     * 库位编号
     */
    @Excel(name = "库位编号")
    @TableField("LOC_ID")
    private String locId;

    /**
     * 托盘编号
     */
    @Excel(name = "托盘编号")
    @TableField("CTL")
    private String ctl;

    /**
     * 出库站台
     */
    @Excel(name = "出库站台")
    @TableField("OUTSTAND")
    private String outstand;

    /**
     * 出库状态
     */
    @Excel(name = "状态")
    @TableField("OUTSTATUS")
    private String outstatus;

    /** 操作人员姓名 */
    @Excel(name = "操作人员")
    @TableField("USERNAME")
    private String userName;

    /**
     * 创建时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @Excel(name = "创建时间", width = 30, dateFormat = "yyyy-MM-dd HH:mm:ss")
    @TableField("CREATE_TIME")
    private Date createTime;

    /**
     * 拣货单号
     */
    @TableField("PICKINGID")
    private String pickingid;

    /**
     * 入库批次号
     */
    @TableField("PUTIN_ID")
    private String putinId;

    /**
     * 上架单号
     */
    @TableField("DOCCTNUMBER")
    private String docctnumber;

    /**
     * 本波次拣货数量
     */
    @TableField("GOODS_NUM")
    private BigDecimal goodsNum;

    /**
     * 规格
     */
    @TableField("SPECIFICATION")
    private String specification;

    /**
     * 生产日期
     */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @TableField("PRODUCTION_DATE")
    private Date productionDate;

    /**
     * 上架时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @TableField("WARE_DATE")
    private Date wareDate;

    /**
     * 供应商编号
     */
    @TableField("PROVIDER_ID")
    private String providerId;

    /**
     * 单位
     */
    @TableField("UNIT")
    private String unit;

    /**
     * 出库单号
     */
    @TableField("OUT_ID")
    private String outId;

    /**
     * 重量单位
     */
    @TableField("SCALE_UNIT")
    private String scaleUnit;

    /**
     * 某库位某商品库存数
     */
    @TableField("MISTOCK_NUM")
    private BigDecimal mistockNum;

    /**
     * 标准价格
     */
    @TableField("PRICE")
    private BigDecimal price;

    /**
     * 库区编号
     */
    @TableField("STORAGE_AREA_ID")
    private String storageAreaId;

    /**
     * 仓库编号
     */
    @TableField("STORAGE_ID")
    private String storageId;

    /**
     * 实际数量
     */
    @TableField("GOODS_NUM_SJ")
    private BigDecimal goodsNumSj;

    /**
     * 出库口
     */
    @TableField("PORT")
    private String port;

    /**
     * 出库类型
     */
    @TableField("CK_TYPE")
    private String ckType;

    /**
     * 状态
     */
    @TableField("STS")
    private String sts;

    /**
     * 类型状态
     */
    @TableField("TYPESTS")
    private String typests;

    /**
     * 任务号
     */
    @TableField("PLCID")
    private String plcid;

    /**
     * 物料条码
     */
    @TableField("BARCODE")
    private String barcode;

    /**
     * 站台
     */
    @TableField("TO_LOC")
    private String toLoc;

    /**
     * 用户ID
     */
    @TableField("USEID")
    private String useid;

    /**
     * 客户编号
     */
    @TableField("CUSTOMERMEMBERID")
    private String customermemberid;

    /**
     * 数据类型
     */
    @TableField("DATATYPE")
    private String datatype;

    /**
     * 规格编号
     */
    @TableField("GOODS_MEASURE_ID")
    private String goodsMeasureId;

    /**
     * 目的仓库
     */
    @TableField("TOWHSELOC")
    private String towhseloc;

    public void setPickingid(String pickingid) {
        this.pickingid = pickingid;
    }

    public String getPickingid() {
        return pickingid;
    }

    public void setPutinId(String putinId) {
        this.putinId = putinId;
    }

    public String getPutinId() {
        return putinId;
    }

    public void setDocctnumber(String docctnumber) {
        this.docctnumber = docctnumber;
    }

    public String getDocctnumber() {
        return docctnumber;
    }

    public void setGoodId(String goodId) {
        this.goodId = goodId;
    }

    public String getGoodId() {
        return goodId;
    }

    public void setLocId(String locId) {
        this.locId = locId;
    }

    public String getLocId() {
        return locId;
    }

    public void setGoodsNum(BigDecimal goodsNum) {
        this.goodsNum = goodsNum;
    }

    public BigDecimal getGoodsNum() {
        return goodsNum;
    }

    public void setSpecification(String specification) {
        this.specification = specification;
    }

    public String getSpecification() {
        return specification;
    }

    public void setProductionDate(Date productionDate) {
        this.productionDate = productionDate;
    }

    public Date getProductionDate() {
        return productionDate;
    }

    public void setWareDate(Date wareDate) {
        this.wareDate = wareDate;
    }

    public Date getWareDate() {
        return wareDate;
    }

    public void setProviderId(String providerId) {
        this.providerId = providerId;
    }

    public String getProviderId() {
        return providerId;
    }

    public void setUnit(String unit) {
        this.unit = unit;
    }

    public String getUnit() {
        return unit;
    }

    public void setOutId(String outId) {
        this.outId = outId;
    }

    public String getOutId() {
        return outId;
    }

    public void setScaleUnit(String scaleUnit) {
        this.scaleUnit = scaleUnit;
    }

    public String getScaleUnit() {
        return scaleUnit;
    }

    public void setMistockNum(BigDecimal mistockNum) {
        this.mistockNum = mistockNum;
    }

    public BigDecimal getMistockNum() {
        return mistockNum;
    }

    public void setPickingNum(BigDecimal pickingNum) {
        this.pickingNum = pickingNum;
    }

    public BigDecimal getPickingNum() {
        return pickingNum;
    }

    public void setPrice(BigDecimal price) {
        this.price = price;
    }

    public BigDecimal getPrice() {
        return price;
    }

    public void setStorageAreaId(String storageAreaId) {
        this.storageAreaId = storageAreaId;
    }

    public String getStorageAreaId() {
        return storageAreaId;
    }

    public void setStorageId(String storageId) {
        this.storageId = storageId;
    }

    public String getStorageId() {
        return storageId;
    }

    public void setCtl(String ctl) {
        this.ctl = ctl;
    }

    public String getCtl() {
        return ctl;
    }

    public void setGoodsNumSj(BigDecimal goodsNumSj) {
        this.goodsNumSj = goodsNumSj;
    }

    public BigDecimal getGoodsNumSj() {
        return goodsNumSj;
    }

    public void setPort(String port) {
        this.port = port;
    }

    public String getPort() {
        return port;
    }

    public void setCkType(String ckType) {
        this.ckType = ckType;
    }

    public String getCkType() {
        return ckType;
    }

    public void setSts(String sts) {
        this.sts = sts;
    }

    public String getSts() {
        return sts;
    }

    public void setTypests(String typests) {
        this.typests = typests;
    }

    public String getTypests() {
        return typests;
    }

    public void setOutstand(String outstand) {
        this.outstand = outstand;
    }

    public String getOutstand() {
        return outstand;
    }

    public void setGoodsName(String goodsName) {
        this.goodsName = goodsName;
    }

    public String getGoodsName() {
        return goodsName;
    }

    public void setPlcid(String plcid) {
        this.plcid = plcid;
    }

    public String getPlcid() {
        return plcid;
    }

    public void setBarcode(String barcode) {
        this.barcode = barcode;
    }

    public String getBarcode() {
        return barcode;
    }

    public void setProduclotid(String produclotid) {
        this.produclotid = produclotid;
    }

    public String getProduclotid() {
        return produclotid;
    }

    public void setToLoc(String toLoc) {
        this.toLoc = toLoc;
    }

    public String getToLoc() {
        return toLoc;
    }

    public void setUseid(String useid) {
        this.useid = useid;
    }

    public String getUseid() {
        return useid;
    }

    public void setCustomermemberid(String customermemberid) {
        this.customermemberid = customermemberid;
    }

    public String getCustomermemberid() {
        return customermemberid;
    }

    public void setDatatype(String datatype) {
        this.datatype = datatype;
    }

    public String getDatatype() {
        return datatype;
    }

    public void setGoodsMeasureId(String goodsMeasureId) {
        this.goodsMeasureId = goodsMeasureId;
    }

    public String getGoodsMeasureId() {
        return goodsMeasureId;
    }

    public void setTowhseloc(String towhseloc) {
        this.towhseloc = towhseloc;
    }

    public String getTowhseloc() {
        return towhseloc;
    }

    public void setOutstatus(String outstatus) {
        this.outstatus = outstatus;
    }

    public String getOutstatus() {
        return outstatus;
    }

    public Date getExpiryDate() {
        return expiryDate;
    }

    public void setExpiryDate(Date expiryDate) {
        this.expiryDate = expiryDate;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public String getUserName() {
        return userName;
    }

    public void setUserName(String userName) {
        this.userName = userName;
    }
    @Override
    public String toString() {
        return new ToStringBuilder(this, ToStringStyle.MULTI_LINE_STYLE)
                .append("pickingid", getPickingid())
                .append("putinId", getPutinId())
                .append("docctnumber", getDocctnumber())
                .append("goodId", getGoodId())
                .append("locId", getLocId())
                .append("goodsNum", getGoodsNum())
                .append("specification", getSpecification())
                .append("productionDate", getProductionDate())
                .append("wareDate", getWareDate())
                .append("providerId", getProviderId())
                .append("unit", getUnit())
                .append("remark", getRemark())
                .append("outId", getOutId())
                .append("scaleUnit", getScaleUnit())
                .append("mistockNum", getMistockNum())
                .append("pickingNum", getPickingNum())
                .append("price", getPrice())
                .append("storageAreaId", getStorageAreaId())
                .append("storageId", getStorageId())
                .append("ctl", getCtl())
                .append("goodsNumSj", getGoodsNumSj())
                .append("port", getPort())
                .append("ckType", getCkType())
                .append("sts", getSts())
                .append("typests", getTypests())
                .append("outstand", getOutstand())
                .append("goodsName", getGoodsName())
                .append("plcid", getPlcid())
                .append("barcode", getBarcode())
                .append("produclotid", getProduclotid())
                .append("toLoc", getToLoc())
                .append("useid", getUseid())
                .append("customermemberid", getCustomermemberid())
                .append("datatype", getDatatype())
                .append("goodsMeasureId", getGoodsMeasureId())
                .append("towhseloc", getTowhseloc())
                .append("outstatus", getOutstatus())
                .append("expiryDate", getExpiryDate())
                .append("createTime", getCreateTime())
                .append("userName", getUserName())
                .toString();
    }
}
